#include "LED.cpp"
#include "BluetoothLEDCallback.cpp"
#include "BluetoothService.cpp"
#include <Arduino.h>

#define FADE_IN_DURATION 500
#define FADE_OUT_DURATION 2000

LEDOutput _seatingLedOutput(0, true);
LED _seatingLeds(&_seatingLedOutput, FADE_IN_DURATION, FADE_OUT_DURATION);
LEDOutput _kitchenLedOutput(1 , true);
LED _kitchenLeds(&_kitchenLedOutput, FADE_IN_DURATION, FADE_OUT_DURATION);

BluetoothLEDCallback _btCallback(&_seatingLeds, &_kitchenLeds);
BluetoothService _btService("Van Lights", &_btCallback);

void setup() {
	Serial.begin(115200);
	_seatingLedOutput.attach(16);
	_seatingLedOutput.attach(17);

	_kitchenLedOutput.attach(5);
	_kitchenLedOutput.attach(18);
	_kitchenLedOutput.attach(23);

	_btService.init();
	_btService.start();
}

void loop() {
	_seatingLeds.loop();
	_kitchenLeds.loop();
}
